
//- HUST RECEIVE
//- 
//- REPORTS(NOT SOLVED) ARRAY IN THE FORM 
//- [{'id':'xxx',location':'xxxx','description':'xxxx'}, ...]
//- 
//- ADD SCRIPT TO EXECUTE onClick of the button function is onSaveChanges()
//- 


doctype html
html(lang='en')
	head
		meta(charset='utf-8')
		meta(http-equiv='X-UA-Compatible', content='IE=edge')
		meta(name='viewport', content='width=device-width, initial-scale=1')
		meta(name='description', content='')
		meta(name='author', content='')
		title KNUST Power Saver
		// Bootstrap Core CSS
		link(href='../css/bootstrap.min.css', rel='stylesheet')
		// Custom CSS
		link(href='../css/sb-admin.css', rel='stylesheet')
		// Custom Fonts
		link(href='../font-awesome/css/font-awesome.min.css', rel='stylesheet', type='text/css')
		// HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries
		// WARNING: Respond.js doesn't work if you view the page via file://
		//if lt IE 9
			script(src='https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js')
			script(src='https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js')
		link(rel='stylesheet', type='text/css', href='../stylesheets/custom.css')
	body
		#wrapper
			// Navigation
			nav.navbar.navbar-inverse.navbar-fixed-top(role='navigation')
				// Brand and toggle get grouped for better mobile display
				.navbar-header
					button.navbar-toggle(type='button', data-toggle='collapse', data-target='.navbar-ex1-collapse')
						span.sr-only Toggle navigation
						span.icon-bar
						span.icon-bar
						span.icon-bar
					a.navbar-brand(href='/secure') KNUST Power Saver
				// Top Menu Items
				ul.nav.navbar-right.top-nav
					li.dropdown
						a.dropdown-toggle(href='#', data-toggle='dropdown')
							i.fa.fa-user
							|  Administrator 
							b.caret
						ul.dropdown-menu
							li
								a(href='/logout')
									i.fa.fa-fw.fa-power-off
									|  Log Out
				// Sidebar Menu Items - These collapse to the responsive navigation menu on small screens
				.collapse.navbar-collapse.navbar-ex1-collapse
					ul.nav.navbar-nav.side-nav
						li
							a(href='/secure')
								i.fa.fa-fw.fa-dashboard
								|  System Overview
						li
							a(href='/secure/asset_management.html')
								i.fa.fa-fw.fa-bar-chart-o
								|  Asset Management
						li
							a(href='/secure/add_device.html')
								i.fa.fa-fw.fa-edit
								| Add Device
						li.active
							a(href='/secure/reports.html')
								i.fa.fa-fw.fa-edit
								| Reports
						li
							a(href='/secure/about.html')
								i.fa.fa-fw.fa-table
								|  About
				// /.navbar-collapse
			#page-wrapper
				.container-fluid
					// Page Heading
					.row
						.col-lg-12
							h1.page-header
								strong Reports
							ol.breadcrumb
								li
									i.fa.fa-dashboard
									a(href='/secure') System Overview
								li.active
									i.fa.fa-table
									|  Reports
					// /.row
					.row
						.col-lg-10
						.row-center
							.row.row-center#_parent(style='padding-left: 20px')
								-for(var i = 0; i < reports.length; i++){
								.panel.panel-warning
									.panel-heading
											h3.panel-title Location: #{reports[i].location}
												span.input.pull-right Solved: 
													input(type='checkbox', aria-label='...', id='#{reports[i].id}')
									.panel-body
											| #{reports[i].description}
								-}
					.row
							.col-lg-6
							.row-center
									input.btn.btn-basic.btn-lg-8(type='submit', value='Save Changes', onclick='onSaveChanges()')

					// /.row
				// /.container-fluid
			// /#page-wrapper
		// /#wrapper
		// jQuery
		script(src='../js/jquery.js')
		// Bootstrap Core JavaScript
		script(src='../js/bootstrap.min.js')
		script(src='../scripts/reports.js')
